package Hooke;

// you should not need to change this class
public abstract class PhysicsElement {
   private int myId; 
   
   protected PhysicsElement( int id){
      myId = id;
   }
   protected int getId() {
      return myId;
   }
   public abstract void computeNextState(double delta_t);
   public abstract void updateState();
   public abstract String getDescription();
   public abstract String getState();
}